<?php
/*
Plugin Name: GigaOM Custom Post Type Factory
Plugin URI: http://GigaOM.com/
Version: a1
Description: Makes defining custom post types as easy as creating a widget. Includes example code to get you started.
Author: Casey Bisson
Author URI: http://GigaOM.com/
*/


// include required components
require_once( dirname( __FILE__ ) .'/components/class-go-cpt.php' );

// A singleton class to hook and trigger the necessary actions 
// to create custom post types using GO_Cpt
// not sure yet if this should expand and do more, or drop the class and just be a function in the global namespace
class GO_CptFactory
{
	function __construct()
	{
		add_action( 'init' , array( $this, 'register_post_types' ) , 100 );
	}

	// creating a new action hook that runs after the init hook to register custom post types
	function register_post_types()
	{
		do_action( 'register_post_types' );
	}
}
new GO_CptFactory;